package main

import (
	"iks_golang/db"
	"iks_golang/route"
	"os"
	
	_"iks_golang/docs" // docs is generated by Swag CLI, you have to import it.
	log "github.com/sirupsen/logrus"
)

// @title API Indeks Keluarga Sehat
// @version 1.0.0

// @contact.name Contact the developer
// @contact.url http://www.swagger.io/support

// @schemes http



// var mySigningKey = []byte("	")


func main() {
	db.Init()
	log.SetOutput(os.Stdout)
	log.SetFormatter(&log.JSONFormatter{})

	// You could set this to any `io.Writer` such as a file
	fileInfo, err := os.OpenFile("info.log", os.O_CREATE|os.O_WRONLY|os.O_APPEND, 0666)
	if err != nil {
		log.Fatal(err)
	}

	log.SetOutput(fileInfo)

	e := route.Init()

	e.Logger.Fatal(e.Start(":1323"))
}

